post icon

LPhoto, LSongs on Mepis

lphotoLast night I was able to install Lphoto (from Linspire on Mepis. It wasn’t the easiest process (I had to install a number of Python addons) but I have to say it was worth it.

In case you’re up to it, here are basic instructions on Debian:
apt-get install python2.3-dev python2.3-qt3 python2.3-id3lib python2.3-pyxine (I think the last one is only needed for Lsongs)

Download it:
Lphoto
Lsongs

Extract it to a directory somewhere.

Open the directory from the command line, become root and type:
python install.py

type lsongs or lphoto and if you’re lucky, it should run. Straightforward enough.

The application is pretty much an exact clone of iPhoto, but it’s a decent clone. As you can see from the screenshot, the interface is pretty much the same. Suprisingly, it’s a lot faster than iPhoto is. Actually, it runs at nearly the same speed as iPhoto on my 1.6ghz G5, but I’m running Lphoto on a PII 450. Hopefully in the future Linspire will try to come up with some original features for it, but in the meantime, kudos for releasing it as open source software.

I also installed lSongs. It is, again, a clone of iTunes, but a pretty good one.

Along the same lines, I’ve really enjoyed Linux on the desktop this time around. I’ve been using Gnome as my desktop manager (I couldn’t get fonts to look even half way decent on KDE). I’ll probably write more about this in the near future, but things are looking up for Linux. Less GUI crashes, better office software (kOffice seems underestimated to me), easier to use overall.

5 Comments

Leave a comment
  1. Cameron Berry
    May 19, 2004 at 2:58 pm #

    I just made a mepis box today and the first thing i did was instal these sweet programs. It was painless thanks to your instruction :-D

  2. Neil Getker
    June 7, 2004 at 2:59 pm #

    I’ve made debs for both of these apps @ http://mentors.debian.net

  3. Marcus
    August 15, 2005 at 9:56 am #

    Thanks for the comment. The layout on this page is pretty messed up, isn’t it. :)

  4. mrxoliver
    February 28, 2006 at 4:33 pm #

    Sorry to be a bore, but

    a)Pyxine no longer exists on the unstable branch

    b) Whenever I try to run the program, it tells me “ImportError: No module named kdecore”. Do I need to install KDE-base do you think?